summaryrefslogtreecommitdiff
path: root/tests/tail-2/big-4gb
diff options
context:
space:
mode:
Diffstat (limited to 'tests/tail-2/big-4gb')
-rwxr-xr-xtests/tail-2/big-4gb71
1 files changed, 0 insertions, 71 deletions
diff --git a/tests/tail-2/big-4gb b/tests/tail-2/big-4gb
deleted file mode 100755
index b0ca79d..0000000
--- a/tests/tail-2/big-4gb
+++ /dev/null
@@ -1,71 +0,0 @@
-#!/bin/sh
-# Demonstrate a bug in `tail -cN' when operating on files of size 4G and larger
-# Fixed in coreutils-4.5.2.
-
-# Copyright (C) 2002, 2003, 2006 Free Software Foundation, Inc.
-
-# This program is free software; you can redistribute it and/or modify
-# it under the terms of the GNU General Public License as published by
-# the Free Software Foundation; either version 2 of the License, or
-# (at your option) any later version.
-
-# This program is distributed in the hope that it will be useful,
-# but WITHOUT ANY WARRANTY; without even the implied warranty of
-# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
-# GNU General Public License for more details.
-
-# You should have received a copy of the GNU General Public License
-# along with this program; if not, write to the Free Software
-# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA
-# 02110-1301, USA.
-
-. $srcdir/../expensive
-
-if test "$VERBOSE" = yes; then
- set -x
- tail --version
-fi
-
-pwd=`pwd`
-t0=`echo "$0"|sed 's,.*/,,'`.tmp; tmp=$t0/$$
-trap 'status=$?; cd "$pwd" && chmod -R u+rwx $t0 && rm -rf $t0 && exit $status' 0
-trap '(exit $?); exit $?' 1 2 13 15
-
-framework_failure=0
-mkdir -p $tmp || framework_failure=1
-cd $tmp || framework_failure=1
-
-# Create a file of size exactly 4GB (2^32) with 8 bytes
-# at the beginning and another set of 8 bytes at the end.
-# The rest will be NUL bytes. On most modern systems, the following
-# creates a file that takes up only a few KB. Here, du -sh says 16K.
-echo abcdefgh | tr -d '\n' > big || framework_failure=1
-echo 87654321 | tr -d '\n' > tmp || framework_failure=1
-# Seek 4GB - 8
-dd bs=1 seek=4294967288 if=tmp of=big 2> err || dd_failed=1
-if test "$dd_failed" = 1; then
- cat err 1>&2
- echo "$0: cannot create a file large enough for this test," 1>&2
- echo "$0: possibly because this system doesn't support large files;" 1>&2
- echo "$0: Consider rerunning this test on a different file system." 1>&2
- (exit 77); exit 77
-fi
-
-if test $framework_failure = 1; then
- echo "$0: failure in testing framework" 1>&2
- (exit 1); exit 1
-fi
-
-fail=0
-
-tail -c1 big > out || fail=1
-# Append a newline.
-echo >> out
-cat <<\EOF > exp
-1
-EOF
-
-cmp out exp || fail=1
-test $fail = 1 && diff out exp 2> /dev/null
-
-(exit $fail); exit $fail